unit HelpUtil;

{$O+,F+,S-}

interface

type

  PPos = ^TPos;
  TPos = object
    Row: Word;
    Col: Byte;
    procedure Clear;
    function Compare(var T: TPos): Integer;
  end;

implementation

procedure TPos.Clear;
begin
  Row := 0;
  Col := 0;
end;

function TPos.Compare(var T: TPos): Integer;
var
  I: Integer;
begin
  I := Row - T.Row;
  if I = 0 then
    I := Col - T.Col;
  Compare := I;
end;

end.
